commit:     0947a2e5486efd520c3f1217ebd330f38ceed314
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sun May 30 13:37:43 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sun May 30 13:37:43 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0947a2e5

dev-libs/cglm: version bump to 0.8.3.

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 dev-libs/cglm/Manifest          |  1 +
 dev-libs/cglm/cglm-0.8.3.ebuild | 48 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-libs/cglm/Manifest b/dev-libs/cglm/Manifest
index 1b93ded5f..0f5c7fae7 100644
--- a/dev-libs/cglm/Manifest
+++ b/dev-libs/cglm/Manifest
@@ -1 +1,2 @@
 DIST cglm-0.8.2.tar.gz 231038 BLAKE2B 
138a3aec9446e0588b0fc43462f05caf901ac8d03337120e477ec91df2bb0f65aea43921384eeb3d07d63dc4cd8b6ec016d55d6a40ab1e8db4fd6c74131817b9
 SHA512 
9ed9661f69fc46c7f0fe8468ec7cdf4071118adaa06b97f99134f5d04a0f7b21158df479f678f78e927c6e4a5d2e6f38c2e8d38ef40ab1f04b2b721af3e7a152
+DIST cglm-0.8.3.tar.gz 246664 BLAKE2B 
70e89d8926b3470c32ef847d2076fb1d8cbce0b0aa726f84c0bcf0207419b3ee7d70f1bfb40b1598827cd74c1b3482d86d0bb4cb3c77c3667ae341829580cca6
 SHA512 
71062814637e2523b2632980384fa58a639cdc1bbe8b647e7826fe334a53cd880bd5b29baac7d5eaff2bb009a97830c76b239e7273af46908ad7ab52cc8b8173

diff --git a/dev-libs/cglm/cglm-0.8.3.ebuild b/dev-libs/cglm/cglm-0.8.3.ebuild
new file mode 100644
index 000000000..4009cf449
--- /dev/null
+++ b/dev-libs/cglm/cglm-0.8.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/recp/cglm.git";
+else
+       SRC_URI="https://github.com/recp/cglm/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="OpenGL Mathematics (glm) for C"
+HOMEPAGE="https://github.com/recp/cglm";
+LICENSE="MIT"
+SLOT="0"
+
+IUSE="doc"
+
+BDEPEND="dev-util/meson
+       doc? ( dev-python/sphinx )"
+
+src_configure() {
+       local emesonargs=(
+               "-Dwerror=false"
+       )
+       meson_src_configure
+}
+
+src_compile() {
+       default
+       meson_src_compile
+       if use doc; then
+               einfo "Building documentation ..."
+               local doc_dir="${S}/docs"
+               cd "${doc_dir}" || die "Cannot chdir into \"${doc_dir}\"!"
+               sphinx-build -b html source build || die "Building 
documentation failed!"
+       fi
+}
+
+src_install() {
+       use doc && local HTML_DOCS=( "${S}/docs/build/." )
+       default
+       meson_src_install
+}

Reply via email to